Eclipse

大白技术控

快捷键

C –> Ctrl

S –> Shift

A –> Alt

功能快捷键
显示所有快捷键C-S-l
开/关注释C-/
显示 outlineC-o
当前打开的文件列表C-e
快速查找打开文件C-S-r
查找C-h
查找后跳到下一处C-.
UndoC-z
RedoC-y
跳到指定行C-l
自动补全A-/
自动解决导入包问题C-S-o
返回A-Left
反返回A-Right
步进F5
单步F6
执行到返回F7
继续执行F8
删除当前行C-d
删除前一个词C-Backspace
删除后一个词C-Delete
缩进Tab
减少缩进S-Tab
在下面新起一行S-Enter
在上面新起一行C-S-Enter

Q&A

  1. 如何解决 Mac OS X 下安装的是 Java 1.8,运行 Eclipse 时提示「您需要安装旧 Java SE 6 运行环境才能打开「Eclipse.app」。」的问题?

    更改 /Library/Java/JavaVirtualMachines/jdk1.8.0_45.jdk/Contents/Info.plist 文件里的 JVMCapabilities 段如下(默认只有 CommandLine):

     <key>JVMCapabilities</key>
                <array>
                        <string>JNI</string>
                        <string>BundledApp</string>
                        <string>WebStart</string>
                        <string>Applets</string>
                        <string>CommandLine</string>
                </array>
    

    然后重启电脑。

    没有找到为何这样改的解释,按名称猜想应该是说在这几种环境下启动 Java 具有跨版本的兼容性吧。

文档信息


一个有故事的程序员

(转载本站文章请注明作者和出处 大白技术控-Bravo Yeung-极客玩家

点击了解 :.NET 技术人的网站

Search

    Table of Contents